Subject: Re: [PATCH] git-svn: Make following parents atomic

From: Deskin Miller <[email-masked]>
Date: Sun, 7 Dec 2008 17:24:44 -0500

On Sun, Dec 07, 2008 at 11:06:10AM -0500, Deskin Miller wrote:
> [...]
>
> To fix this, when we initialise the Git::SVN object $gs to search for
> and perhaps fetch history, we check if there are any commits in SVN in
> the range between the current revision $gs is at, and the top revision
> for which we were asked to fill history.  If there are commits we're
> missing in that range, we continue the fetch from the current revision
> to the top, properly getting all history before using it as the parent
> for the branch we're trying to create.

On looking at the patch again, I think I might have introduced a bug:
it'll take the most commit on the parent branch, even if it was branched
from an earlier point.  I'll spend more time looking at it and should
have a v2 in a day at most if I'm rigth, hopefully more like a few
hours.

Deskin Miller